;; Copyright 2009, 2010, 2012, 2013 Kevin Ryde

;; This file is part of xtide-el.
;;
;; xtide-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; xtide-el is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with xtide-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.


(add-to-list 'load-path (expand-file-name ".."))

(defun my-run-test ()
  (let ((count 0))

    ;;-------------------------------------------------------------------------
    ;; check autoloads

    ;; emacs24 `generate-file-autoloads' wants to be in a file-visiting
    ;; buffer
    (require 'autoload)
    (find-file "t-xtide--generated-loaddefs.el")
    (erase-buffer)
    (generate-file-autoloads "../xtide.el")
    (eval-buffer)
    (save-buffer)
    (kill-buffer (current-buffer))
    (delete-file "t-xtide--generated-loaddefs.el")


    (message "require 'calendar")
    (require 'calendar)
    (if (not (fboundp 'define-key-after))
        (message "skip, no define-key-after (per xemacs21)")

      ;; (message "calendar-mode-map: %S" calendar-mode-map)
      (unless (or (lookup-key calendar-mode-map
                              [menu-bar moon xtide]) ;; emacs21,22
                  (lookup-key calendar-mode-map
                              [menu-bar Sun/Moon xtide])) ;; emacs23
        (error "no calendar menu entry for xtide"))
      (setq count (1+ count)))

    ;;-------------------------------------------------------------------------
    (message "  %d tests" count)
    count))
